Index: /trunk/Delphes.cpp
===================================================================
--- /trunk/Delphes.cpp	(revision 106)
+++ /trunk/Delphes.cpp	(revision 107)
@@ -194,5 +194,5 @@
   Long64_t entry, allEntries = treeReader->GetEntries();
   cout << "** Chain contains " << allEntries << " events" << endl;
-  for(entry = 0; entry < allEntries; ++entry)
+  for(entry = 0; entry < 200; ++entry)
     {
       TLorentzVector PTmis(0,0,0,0);
@@ -334,12 +334,12 @@
       for(unsigned int i=0; i < towers.size(); i++)
         {
-Att.SetPxPyPzE(towers[i].fourVector.px, towers[i].fourVector.py, towers[i].fourVector.pz, towers[i].fourVector.E);
-if(fabs(Att.Eta())<DET->CEN_max_calo_fwd)
-{
-          PTmis = PTmis + Att;
-          // create a fastjet::PseudoJet with these components and put it onto
-          // back of the input_particles vector
-          input_particles.push_back(fastjet::PseudoJet(towers[i].fourVector.px,towers[i].fourVector.py,towers[i].fourVector.pz,towers[i].fourVector.E));
-}
+	  Att.SetPxPyPzE(towers[i].fourVector.px, towers[i].fourVector.py, towers[i].fourVector.pz, towers[i].fourVector.E);
+	  if(fabs(Att.Eta()) < DET->CEN_max_calo_fwd)
+	  {
+            PTmis = PTmis + Att;
+            // create a fastjet::PseudoJet with these components and put it onto
+            // back of the input_particles vector
+            input_particles.push_back(fastjet::PseudoJet(towers[i].fourVector.px,towers[i].fourVector.py,towers[i].fourVector.pz,towers[i].fourVector.E));
+	  }
         }
       elementEtmis = (TRootETmis*) branchETmis->NewEntry();
Index: /trunk/Utilities/FROG/Includes/FROG/FROG_Element_Event_Candidate.h
===================================================================
--- /trunk/Utilities/FROG/Includes/FROG/FROG_Element_Event_Candidate.h	(revision 106)
+++ /trunk/Utilities/FROG/Includes/FROG/FROG_Element_Event_Candidate.h	(revision 107)
@@ -65,5 +65,6 @@
 			glPushMatrix();
 			glRotatef(57.29*Phi_                        ,0,0,1);
-			glRotatef(57.29*FROG_COORD::EtaToTheta(Eta_),0,1,0);		
+			glRotatef(57.29*FROG_COORD::EtaToTheta(Eta_),1,0,0);		
+cout<<"eta "<<Eta_<<" et le theta "<<FROG_COORD::EtaToTheta(Eta_)<<" et ce qu'on utilise pour tourner "<<57.29*FROG_COORD::EtaToTheta(Eta_)<<endl;
 
 			float dphi = 0.62832;
Index: /trunk/Utilities/FROG/Includes/FROG/FROG_Element_Event_Jet.h
===================================================================
--- /trunk/Utilities/FROG/Includes/FROG/FROG_Element_Event_Jet.h	(revision 106)
+++ /trunk/Utilities/FROG/Includes/FROG/FROG_Element_Event_Jet.h	(revision 107)
@@ -93,5 +93,6 @@
 			glPushMatrix();
 			glRotatef(57.29*Phi_                        ,0,0,1);
-			glRotatef(57.29*FROG_COORD::EtaToTheta(Eta_),0,1,0);		
+			glRotatef(57.29*FROG_COORD::EtaToTheta(Eta_),1,0,0);		
+cout<<"eta du jet "<<Eta_<<" theta du jet "<<FROG_COORD::EtaToTheta(Eta_)<<" et en degre "<<57.29*FROG_COORD::EtaToTheta(Eta_)<<endl;
 			float dphi = 0.62832;
 				
Index: /trunk/Utilities/FROG/config.txt
===================================================================
--- /trunk/Utilities/FROG/config.txt	(revision 106)
+++ /trunk/Utilities/FROG/config.txt	(revision 107)
@@ -4,4 +4,5 @@
 
 GeomToDisplay = {910000000,920000000,930000000,940000000};
+//GeomToDisplay = {910000000};
 EventToDisplay = {21000000};
 
@@ -61,5 +62,5 @@
 //COLORS
 ZAxis_Color           = {0.14 , 0.026 , 0.026 , 1.0};    // ZAXIS (Z Opacity to 0, in order to switch it off)
-BackGround_Color      = {0.0 , 0.0 , 0.0 , 0.0};
+BackGround_Color      = {1.0 , 1.0 , 1.0 , 1.0};
 
 Id_900000000_Color = {1.0 , 1.0 , 0.0 , 1.0};    // Detecteur
@@ -67,5 +68,5 @@
 Id_920000000_Color = {0.0 , 0.3 , 0.3 , 1.0};    // Calo
 Id_930000000_Color = {0.0 , 0.0 , 0.3 , 1.0};    // FWCalo
-Id_940000000_Color = {0.25, 0.01 , 0.05 , 1.0};    // Muon
+Id_940000000_Color = {0.25 , 0.01 , 0.05 , 1.0};    // FWCalo
 //Id_9000020_Color = {1.0 , 0.0 , 1.0 , 1.0};    // Tracker
 //Id_9000010_Color = {0.3 , 1.0 , 0.3 , 1.0};    // PIB
@@ -80,5 +81,5 @@
 Id_21004000_Color       = {1.0 , 1.0 , 0.0 , 1.0};    // Photons
 Id_21005000_Color       = {0.0 , 1.0 , 1.0 , 1.0};    // Jets
-Id_21006000_Color       = {1.0 , 1.0 , 1.0 , 1.0};    // MET
+Id_21006000_Color       = {1.0 , 0.0 , 1.0 , 1.0};    // MET
 
 
Index: /trunk/data/DataCardDet.dat
===================================================================
--- /trunk/data/DataCardDet.dat	(revision 106)
+++ /trunk/data/DataCardDet.dat	(revision 107)
@@ -46,9 +46,9 @@
 
 # Thresholds for reconstructed objetcs
-PTCUT_elec       10.0
-PTCUT_muon       10.0
-PTCUT_jet        10.0
-PTCUT_gamma      10.0
-PTCUT_taujet     10.0
+PTCUT_elec       0.0
+PTCUT_muon       0.0
+PTCUT_jet        0.0
+PTCUT_gamma      0.0
+PTCUT_taujet     0.0
 
 # General jet variable
@@ -87,4 +87,4 @@
 
 # In case FROG event display allowed
-NEvents_Frog      2
+NEvents_Frog      100
 
Index: /trunk/src/FrogUtil.cc
===================================================================
--- /trunk/src/FrogUtil.cc	(revision 106)
+++ /trunk/src/FrogUtil.cc	(revision 107)
@@ -434,10 +434,11 @@
       photon = (TRootPhoton*) branchPhoton->At(p);
       cout<<"Photon nO"<<p<<" PT: "<<photon->PT<<"Eta "<<photon->Eta<<" Phi"<<photon->Phi<<endl;
-      FROG_Element_Event_Candidate* frog_photon = new FROG_Element_Event_Candidate(15,photon->E,photon->Eta,photon->Phi);
+      FROG_Element_Event_Candidate* frog_photon = new FROG_Element_Event_Candidate(22,photon->E,photon->Eta,photon->Phi);
       frog_branchPhotons->addDaughter(frog_photon);
     }
     
     //SIM JETS
-    //Create a new sub-branch in the SIM branch with name Jets: this sub branch will contais all the Jets
+
+//Create a new sub-branch in the SIM branch with name Jets: this sub branch will contais all the Jets
     FROG_Element_Base_With_DetId_And_Name* frog_branchJets = new FROG_Element_Base_With_DetId_And_Name(EVTID_SIM+5000,"Jets");
     frog_branchSIM->addDaughter(frog_branchJets);
@@ -445,4 +446,5 @@
       jet = (TRootJet*) branchJet->At(p);
       cout<<"Jet nO"<<p<<" PT: "<<jet->PT<<"Eta "<<jet->Eta<<" Phi"<<jet->Phi<<endl;
+cout<<"eta du jet "<<jet->Eta<<" theta du jet "<<FROG_COORD::EtaToTheta(jet->Eta)<<" et en degre "<<57.29*FROG_COORD::EtaToTheta(jet->Eta)<<endl;
       FROG_Element_Event_Jet* frog_jet = new FROG_Element_Event_Jet(jet->E,jet->Eta,jet->Phi);
       frog_branchJets->addDaughter(frog_jet);
@@ -493,6 +495,11 @@
   
   int plus=1;
-  int NumPhi=4;
-  
+  
+int NumPhi=20;
+
+
+ 
+
+ 
   //************************************************Tracker*************************************************
   //********************************************************************************************************
